#ifdef GL_ES
// define default precision for float, vec, mat.
precision lowp float;
#endif

varying vec4 outColor;
//varying vec4 outTColor;
varying vec2 outTexc;
varying vec4 outFogColor;

varying vec4 outSpecColor;

uniform vec4 tcolor0;
uniform sampler2D tex;

void main()
{
	vec4 color = outColor * (texture2D(tex, outTexc) + tcolor0);
	if (color.w < 0.3) discard;
	color = color + outSpecColor;
	gl_FragColor = vec4(color.xyz*(1.0-outFogColor.w) + outFogColor.xyz*outFogColor.w, color.w);
    //gl_FragColor = vec4(1.0, 0.0, 1.0, 1.0);
}
