#ifdef GL_ES
// define default precision for float, vec, mat.
precision lowp float;
#endif

varying vec4 outColor;
varying vec4 outTColor; // texture format compensation color

uniform sampler2D tex;

void main()
{
	gl_FragColor = outColor * (texture2D(tex, gl_PointCoord) + outTColor);
}
