uniform mat4 mvp;
uniform vec4 tcolor;
uniform float vheight; // view wheight

attribute vec4 pos;
attribute vec4 color;
attribute float size;

varying vec4 outColor;
varying vec4 outTColor;

void main()
{
	gl_Position = mvp * pos;
	gl_PointSize = (size*vheight) / gl_Position.w;
	outColor = color;
	outTColor = tcolor;
}
