uniform mat4 mvp;
uniform vec4 tcolor;

attribute vec4 pos;
attribute vec2 texc;
attribute vec4 color;

varying vec4 outColor;
varying vec4 outTColor;
varying vec2 outTexc;

void main()
{
	gl_Position = mvp * pos;
	outColor = color;
	outTColor = tcolor;
	outTexc = texc;
}
