#ifdef GL_ES
// define default precision for float, vec, mat.
precision lowp float;
#endif

varying vec4 outColor;
varying vec2 outTexc;
varying vec4 outFogColor;

varying vec4 outSpecColor;

uniform vec4 tcolor0;
uniform sampler2D tex;

void main()
{
	vec4 texCol = texture2D(tex, outTexc) + tcolor0;
	vec4 color = outColor * texCol + outSpecColor;
	gl_FragColor = vec4(mix(color.xyz, outFogColor.xyz, outFogColor.w), color.w);
}
